# $Revision: 1.37 $, $Date: 2011/01/16 08:50:42 $
%define		realname	pcre
Summary:	Perl-Compatible Regular Expression library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka perlowych wyrażeń regularnych - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	8.12
Release:	1
License:	BSD (see LICENCE)
Group:		Development/Libraries
Source0:	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{realname}-%{version}.tar.bz2
# Source0-md5:	7260dc8054e7d05f2286c26204da8f62
URL:		http://www.pcre.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32

%define		_prefix		/usr/%{target}
%define		_libdir		%{_prefix}/lib
%define		_pkgconfigdir	%{_prefix}/lib/pkgconfig
%define		_dlldir		/usr/share/wine/windows/system

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
Perl's. It also contains a POSIX compatibility library.

%description -l pl.UTF-8
PCRE (Perl-Compatible Regular Expression) oznacza bibliotekę wyrażeń
regularnych kompatybilnych z perlowymi. Zawiera funkcje dopasowujące
tekst do wyrażeń regularnych podobnych do tych znanych z Perla.
Zawiera także bibliotekę kompatybilną z POSIX.

%package static
Summary:	Static PCRE libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki PCRE (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static PCRE libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki PCRE (wersja skrośna MinGW32).

%package dll
Summary:	%{realname} - DLL libraries for Windows
Summary(pl.UTF-8):	%{realname} - biblioteki DLL dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
%{realname} - DLL libraries for Windows.

%description dll -l pl.UTF-8
%{realname} - biblioteki DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--host=%{target} \
	--target=%{target} \
	--enable-unicode-properties \
	--enable-utf8

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/{doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENCE NEWS NON-UNIX-USE README
%{_libdir}/libpcre.dll.a
%{_libdir}/libpcrecpp.dll.a
%{_libdir}/libpcreposix.dll.a
%{_libdir}/libpcre.la
%{_libdir}/libpcrecpp.la
%{_libdir}/libpcreposix.la
%{_includedir}/pcre*.h
%{_pkgconfigdir}/libpcre.pc
%{_pkgconfigdir}/libpcrecpp.pc
%{_pkgconfigdir}/libpcreposix.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcre.a
%{_libdir}/libpcrecpp.a
%{_libdir}/libpcreposix.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpcre-*.dll
%{_dlldir}/libpcrecpp-*.dll
%{_dlldir}/libpcreposix-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-pcre.spec,v $
Revision 1.37  2011/01/16 08:50:42  qboosh
- updated to 8.12

Revision 1.36  2010/12/17 15:36:15  qboosh
- updated to 8.11

Revision 1.35  2010/09/19 05:38:59  qboosh
- unified MinGW32 caps

Revision 1.34  2010/08/04 18:01:26  qboosh
- updated to 8.10

Revision 1.33  2010/05/07 20:48:21  qboosh
- updated to 8.02 (fixes compile workspace overflow and other bugs)

Revision 1.32  2010/03/18 08:34:36  qboosh
- updated to 8.01

Revision 1.31  2008/09/08 20:30:06  qboosh
- ac version

Revision 1.30  2008/09/08 20:29:30  qboosh
- updated to 7.8 (fixes CVE-2008-2371)
- added filterout_ld hack for -Wl,-z, options in rpmldflags

Revision 1.29  2008/05/09 22:35:40  qboosh
- updated to 7.7

Revision 1.28  2008-01-29 19:09:43  qboosh
- updated to 7.6 (fixes UTF-8 class buffer overflow)

Revision 1.27  2008-01-10 21:30:37  qboosh
- updated to 7.5
- force %{_lib}-independent libdir

Revision 1.26  2007-11-27 16:51:04  qboosh
- CVE references

Revision 1.25  2007/10/14 19:08:13  qboosh
- updated to 7.4

Revision 1.24  2007/08/28 19:39:09  qboosh
- updated to 7.3
- removed obsolete dll patch
- spec cleanup
[fixes CVE-2007-1659 CVE-2007-1660 CVE-2007-1661 CVE-2007-1662
 CVE-2007-4766 CVE-2007-4767 CVE-2007-4768]

Revision 1.23  2007/06/19 20:18:31  qboosh
- updated to 7.2

Revision 1.22  2007/05/01 11:48:12  qboosh
- updated to 7.1 with ac/am based build
- added dll patch

Revision 1.21  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.19  2006/12/24 14:56:25  qboosh
- updated to 7.0
[fixes CVE-2006-7230]

Revision 1.18  2006/07/19 23:20:42  qboosh
- updated to 6.7
[fixes CVE-2006-7227 CVE-2006-7228]

Revision 1.17  2006/02/08 07:25:38  qboosh
- updated to 6.6

Revision 1.16  2006/02/05 00:52:11  qboosh
- updated to 6.5

Revision 1.15  2005/09/22 20:02:48  qboosh
- updated to 6.4

Revision 1.14  2005/08/27 22:11:23  qboosh
- updated to 6.3 (fixes CAN-2005-2491)
- removed obsolete cxx patch

Revision 1.13  2005/08/06 13:30:27  qboosh
- updated to 6.2
[fixes CVE-2005-4872]

Revision 1.12  2005/06/27 19:59:22  qboosh
- updated to 6.1

Revision 1.11  2005/06/12 17:35:21  wolf
- typo

Revision 1.10  2005/06/12 16:03:12  qboosh
- oops, updated md5

Revision 1.9  2005/06/12 15:48:15  qboosh
- updated to 6.0 (with cxx patch)
- package pcreposix,pcrecpp libs too

Revision 1.8  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.7  2004/09/16 15:40:44  wolf
- rel 2 to rebuild with gcc 3.4.2

Revision 1.6  2004/09/15 19:06:06  qboosh
- updated to 5.0, removed obsolete shared patch (use winshared target instead)

Revision 1.5  2004/06/08 12:12:28  radek
- s/%optflags/%rpmcflags/

Revision 1.4  2004/02/21 18:56:38  wolf
- fix alpha, sparc
- allow building without wine installed

Revision 1.3  2004/01/04 17:36:31  wolf
- reverted

Revision 1.2  2004/01/04 16:49:39  wolf
- don't require wine to build

Revision 1.1  2003/12/25 16:57:38  wolf
- blah
